## emma 0.1-0

=== DESCRIPTION ===
Package: emma
Type: Package
Title: Evolutionary model-based multiresponse approach
Version: 0.1-0
Date: 2011-10-22
Author: Laura Villanova <laura.villanova@monash.edu>, Kate Smith-Miles
        <kate.smith-miles@monash.edu> and Rob J Hyndman
        <rob.hyndman@monash.edu>.
Maintainer: Laura Villanova <laura.villanova@monash.edu>
Depends: R (>= 2.9.2), earth, clusterSim
Imports: methods
Description: The evolutionary model-based multiresponse approach (EMMA)
        is a novel methodology to process optimisation and product
        improvement. The approach is suitable to contexts in which the
        experimental cost and/or time limit the number of implementable
        trials.
License: GPL (>= 2)
LazyLoad: yes
Repository: CRAN
Packaged: 2011-10-25 22:09:51 UTC; Rob
Date/Publication: 2011-10-26 17:59:36

## emma 0.6

=== debian/changelog ===
emma (0.6-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Source package format changed to 3.0 (quilt)
  * Converted from python-support to dh_python2
  * Standards-Version bumped to 3.9.4
    - build-arch and build-indep targets added to debian/rules
  * Temporarily remove Marco's email address from Uploaders
    (until he provides working one, closes: #694147)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Aug 2013 20:07:17 +0200

emma (0.6-4) unstable; urgency=low

  * Pass --prefix=/usr to setup.py install (Python >= 2.6 uses /usr/local by
    default, Closes: 547816)
  * Install emma in private directory and remove "current" from
    XS-Python-Version
  * Convert to python-support
    - add preinst file to remove old .pyc files
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 28 Sep 2009 22:32:33 +0200

emma (0.6-3) unstable; urgency=low

  [ Marco Rodrigues ]
  * debian/emma.desktop:
  * debian/menu:
    + Add Icon field (Closes: #511533).

  [ Sandro Tosi ]
  * debian/control:
    + Switch Vcs-Browser field to viewsvn.

  [ Piotr Ożarowski ]
  * Add emma.xpm file and install it into /usr/share/pixmaps

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 19 Feb 2009 19:23:14 +0100

emma (0.6-2) unstable; urgency=low

  [ Piotr Ozarowski ]
  * debian/menu: section changed to "Applications/Data Management"
  * update .desktop file (Version and Categories fields changed)
  * Use quilt to manage patches
  * Change maintainer to PAPT, move myself to Uploaders
  * Vcs-Browser and Vcs-Svn fields added
  * Standards-Version bumped to 3.8.0
    + debian/README.source file added
  * Changed my address to piotr@debian.org

  [ Marco Rodrigues ]
  * Bump .desktop Version field to 1.0.
  * Add semicolons in Categories of .desktop file.
  * Update Standards-Version to 3.7.3.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Jul 2008 22:31:26 +0200

emma (0.6-1) unstable; urgency=low

  * New upstream release
  * GTK+ theme change disabled
  * Fixed changelog encoding (menu->Help->Changelog doesn't work with non UTF-8
    characters)
  * Fixed handling of JOINs in "pretty format" plugin

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 14 Nov 2006 16:00:07 +0100

emma (0.5-2) unstable; urgency=low

  * Fixed bug when adding new connection (closes: #398337)

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 13 Nov 2006 11:24:03 +0100

emma (0.5-1) unstable; urgency=low

  * Initial release (closes: #394705)

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 23 Oct 2006 00:18:46 +0200

=== debian/control ===
Source: emma
Section: gnome
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
# Marco Rodrigues <gothicx@sapo.pt>
Build-Depends: python (>= 2.4), dh-python, debhelper (>= 5.0.38)
Standards-Version: 3.9.4
Homepage: http://www.fastflo.de/projects/emma
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/emma/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/emma/trunk/
X-Python-Version: >=2.4

Package: emma
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-mysqldb (>=1.2.1-p2-2),
 python-gtk2 (>= 2.8.6-1), python-glade2 (>= 2.8.6-1)
Description: extendable MySQL managing assistant
 emma is a graphical toolkit for MySQL database developers and administrators,
 it is the successor of yamysqlfront.
 .
 Its main features are:
   * Dialogs to create/modify MySQL databases, tables and associated indexes
   * Result sets grouped in tabs
   * SQL editor:
     + Tabs
     + Built-in syntax highlighting
     + Table and field name tab-completion
     + Automatic SQL statement formatting
   * Export to CSV files
   * Multiple simultaneously opened MySQL connections

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
build-arch:
build-indep:

clean:
	python setup.py clean -a
	dh_clean 
	find . -name '*\.py[co]' -delete

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	python setup.py install --root debian/emma --prefix=/usr --install-lib=/usr/share/emma/ --install-scripts=/usr/share/emma/
	# See REAMDE.Debian for explanations why the binary is renamed
	dh_link /usr/share/emma/emma /usr/bin/Emma
	dh_install debian/emma.desktop /usr/share/applications/
	dh_install debian/emma.xpm /usr/share/pixmaps/

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_compress -X.py -X.glade
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.PHONY: build clean build-arch build-indep binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.fastflo.de/projects/emma /files/emma/downloads/python_src/emma-(.*)\.tar\.gz
